MaillyDocs

Approve and send a draft

POST
/agents/runs/{id}/approve

pending → approved → sent through the reply pipeline → sent; idempotency key agent-run:{runId}. body.text overrides the draft text.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

id*string

run ID

Request Body

application/json
  1. body
text?string

Override the draft body

[key: string]?unknown

Response Body

Sent

application/json
  1. response
success*boolean
run_id*string
reply_id?string
sent_message_id?string|null
[key: string]?unknown
curl -X POST 'https://api.mailly.site/agents/runs/string/approve' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "run_id": "string",  "reply_id": "string",  "sent_message_id": "string",  "property1": null,  "property2": null}